Ahora es posible ver Netflix en Linux a través de HTML 5

26
19575

netflix html5

La polémica: DRM en HTML 5

Ya es posible reproducir contenido de video de Netflix en un escritorio Linux de forma nativa, aunque sólo en las últimas versiones de desarrollo del navegador Google Chrome. ¿Por qué? ¿Qué cambió?


A principios de este año, el organismo de estándares web, la ‘World Wide Web Consortium (comúnmente conocido como el W3C), polémicamente llevó adelante sus planes para introducir soporte para contenido protegido (‘DRM’) en HTML5 a través de la especificación de cifrado multimedia llamada Encrypted Media Extension (EME).

Google describe EME como “una API de JavaScript que permite a las aplicaciones de Internet interactuar con los sistemas DRM, con el fin de permitir la reproducción de información multimedia cifrada”. Esto funciona sin necesidad de hacer uso de plugins de terceros súper pesados y complicados de instalar, como Silverlight o Adobe flash.

Por su parte, Netflix anunció en junio pasado que brindará soporte para la reproducción de video HTML5 en Windows 8.1 y Safari (Yosemite solamente), utilizando EME. Como Google es uno de los principales partidarios de dar soporte DRM sin necesidad de plugins, Chrome soporta de forma nativa EME.

Pasos a seguir para ver Netflix (HTML 5) en Linux

1.- Descargar la última beta de Google Chrome o Chromium (versión 38).

2.- Cambiar el user agent a algo como: Mozilla/5.0 (Windows NT 6.3; Win64; x64)

3.- Seleccionar la opción ‘Prefer HTML5’ en tu cuenta de Netflix (en la sección ‘Playback Settings’).

netflix en linux

4.- Abrir Netflix.

Sólo Ubuntu 14.04 LTS

Si utilizás Ubuntu 14.04 LTS también hace falta actualizar la librería ‘libnss3’ a una versión más reciente.

libnss3 para Ubuntu 14.04 LTS (32bit)
libnss3 para Ubuntu 14.04 LTS (64 bits)

Una vez descargado el archivo correspondiente a tu versión de Ubuntu, sólo hace falta extraerlo e instalar el archivo .deb usando el siguiente comando:

sudo dpkg-i * libnss3

26 COMENTARIOS

      • Recientemente hoy lo probé con Windows con Chromium nightly y la verdad es que sí funciona con HTML5, aunque en mi caso, como Chromium no incluye los códecs H.264 ni MPEG-4 como el Chrome beta/canary [o dev], bota un error indicando que los códecs propietarios están haciendo falta.

  1. Bien explica ahí que es con el beta de Chrome y 38 de Chromium. Y debe ser verdad por que el 34 de Chromium no funciona, sale el maldito cartel: Instala el complemento Microsoft Silverlight ahora; Solo toma un minuto.
    Así que por ahora voy a esperar un poco mas a que Chromium o Firefox vengan con el dichoso EME. Pero es una gran noticia… y al fin le voy a poder formatear la compu a mi vieja, jeje. (Es demasiado para ella acordarse de abrir el wine jeje).

  2. Lo probaré, pero antes, les debo advertir lo siguiente.

    Netflix obliga a tener los siguientes requisitos: códec H.264 (o MPEG-4), y DRM EME. Sin ellos, no sería posible dicho disfrute de Netflix en HTML5.

    Ahora, la gracia está en que sólo tenemos 3 navegadores que son capaces de cumplir esas espectativas: Internet Explorer (desgraciadamente), Google Chrome (no Chromium gracias a su negativa a los códecs anteriormente mencionados a pesar de tener el DRM), y Opera Blink.

    En fin, si no están seguros, échenle una ojeada a html5test.com y fíjense si su navegador tiene dichos requisitos para probar Netflix en HTML5. Para los linuxeros, lo más probable es que sólo Chrome funcione con HTML5 en Netflix.

    Gracias, MPAA por hostigar a la Fundación Mozilla obligando a que dude de su filosofía y misión.

  3. Ojo con el user-agent, que fué el problema que yo tuve, debe ser:
    Mozilla/5.0 (Windows NT 6.3, Win64, x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/38.0.2114.2 Safari/537.36

    Usen el plugin user agent switcher. Suerte!

    • Pero no dicen que versión usan.
      En mi caso sin exito probando de dos formas:
      En la primera en Debian 7, con Chrome versión 39.0.2171.71 (64-bit), y en la segunda con pipelight y el agent switch.

      Además en mi perfil de netflix no me permite elegir por HTML

  4. Te tengo un detalle con esta entrada, la que tenes que instalar es la versión estable de Chrome, en mi caso tengo ya versión 44 en 64 bits; me quebré la cabeza desde que publicaste este artículo y después de leer varios blogs y de aproximadamente tres meses de estar pagando el servicio de Netflix era tal mi frustración que apunto estuve de instalar el pinche windows 7 solo por ver netflix (a mi familia le encanta ver las series de ahí y seamos sinceros en Nicaragua el servicio de TV por cable básico de Claro tv simplemente apesta). Luego de todo esto el día de hoy probé, a como te comente instalar la versión estable de Chrome y fue bello mirar como funcionaba sin necesidad de nada mas. Saludos a todos y espero que les funcione igual que a mí.

  5. Me da un error al intentar instalar las librerias
    sabes que dependencias faltan?
    gracias
    dpkg: error al procesar el paquete libnss3-1d:i386 (–install):
    problemas de dependencias – se deja sin configurar
    Se encontraron errores al procesar:
    libnss3
    libnss3-nssdb
    libnss3:i386
    libnss3-1d:i386

    • Hola! Antes que nada, disculpas por la tardanza en contestar.
      Te sugiero que utilices nuestro servicio Ask Desde Linux (http://ask.desdelinux.net) para realizar este tipo de consultas. De esa forma podrás obtener la ayuda de toda la comunidad.
      Un abrazo! Pablo

  6. Yo he ido a askdelinux y no mhan dixo nada, ni respondido… lloro y tal. 3 meses sin poder ver netflix
    tengo kubuntu 14.04 de 32 y no hay manera….
    En fin

Dejar una respuesta